Retrieve last session date
GET
/api/v1/stations/last_seance_event_time Returns the date of the last communication session of a metering unit.
Query parameters
id integer required Metering unit identifier.
Response fields
| Attribute | Description |
|---|---|
station_name | Metering unit name |
last_seance_event_time | Date and time of the last communication session of the metering unit (UTC) |
Request
bash
curl -i \
--header "access-token: *********************" \
--header "token-type: Bearer" \
--header "client: **********************" \
--header "uid: user@local.net" \
--header "Content-Type: application/json" \
--request GET \
"https://uztgs.uz/api/v1/stations/last_seance_event_time?id=2018"js
const res = await fetch('https://uztgs.uz/api/v1/stations/last_seance_event_time?id=2018', {
headers: {
'access-token': '*********************',
'token-type': 'Bearer',
client: '**********************',
uid: 'user@local.net',
'Content-Type': 'application/json',
},
});
const data = await res.json();python
import requests
res = requests.get(
"https://uztgs.uz/api/v1/stations/last_seance_event_time",
params={"id": 2018},
headers={
"access-token": "*********************",
"token-type": "Bearer",
"client": "**********************",
"uid": "user@local.net",
"Content-Type": "application/json",
},
)
data = res.json()go
req, _ := http.NewRequest("GET", "https://uztgs.uz/api/v1/stations/last_seance_event_time?id=2018", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "user@local.net")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)php
$ch = curl_init("https://uztgs.uz/api/v1/stations/last_seance_event_time?id=2018");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"access-token: *********************",
"token-type: Bearer",
"client: **********************",
"uid: user@local.net",
"Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);Response
json
{
"data": {
"station_name": "station 3 type j",
"last_seance_event_time": 1674713405
}
} Соңғы жаңарту
Бұл бет пайдалы болды ма?
Пікіріңіз үшін рақмет!
Retrieve object characteristics
Артқа
Readings archives
Келесі